summaryrefslogtreecommitdiff
path: root/openwrt/package/htpdate/files
diff options
context:
space:
mode:
authorNicolas Thill <nico@openwrt.org>2005-05-14 21:19:23 +0000
committerNicolas Thill <nico@openwrt.org>2005-05-14 21:19:23 +0000
commit941c554fdf2e0c5a168ad3907fd99007a56effcf (patch)
tree475deb526a927942f3e19c480e7e0442c065e585 /openwrt/package/htpdate/files
parent02fe2faa39be8225b43c790d163ebcbb4d3fa56c (diff)
downloadmtk-20170518-941c554fdf2e0c5a168ad3907fd99007a56effcf.zip
mtk-20170518-941c554fdf2e0c5a168ad3907fd99007a56effcf.tar.gz
mtk-20170518-941c554fdf2e0c5a168ad3907fd99007a56effcf.tar.bz2
Add htpdate package
SVN-Revision: 899
Diffstat (limited to 'openwrt/package/htpdate/files')
-rw-r--r--openwrt/package/htpdate/files/htpdate.default1
-rw-r--r--openwrt/package/htpdate/files/htpdate.init22
2 files changed, 23 insertions, 0 deletions
diff --git a/openwrt/package/htpdate/files/htpdate.default b/openwrt/package/htpdate/files/htpdate.default
new file mode 100644
index 0000000..8c182b3
--- /dev/null
+++ b/openwrt/package/htpdate/files/htpdate.default
@@ -0,0 +1 @@
+OPTIONS="-D www.google.com www.yahoo.com www.linux.org www.freebsd.org"
diff --git a/openwrt/package/htpdate/files/htpdate.init b/openwrt/package/htpdate/files/htpdate.init
new file mode 100644
index 0000000..9af0e55
--- /dev/null
+++ b/openwrt/package/htpdate/files/htpdate.init
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+BIN=htpdate
+DEFAULT=/etc/default/$BIN
+RUN_D=/var/run
+PID_F=$RUN_D/$BIN.pid
+[ -f $DEFAULT ] && . $DEFAULT
+
+case $1 in
+ start)
+ mkdir -p $RUN_D
+ $BIN $OPTIONS
+ ;;
+ stop)
+ [ -f $PID_F ] && kill $(cat $PID_F)
+ ;;
+ *)
+ echo "usage: $0 (start|stop)"
+ exit 1
+esac
+
+exit $?